## ros-noetic-transmission-interface 0.19.6

=== debian/changelog ===
ros-noetic-transmission-interface (0.19.6-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 Oct 2022 23:00:00 -0000

ros-noetic-transmission-interface (0.19.5-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 15 Jun 2021 23:00:00 -0000

ros-noetic-transmission-interface (0.19.4-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-noetic-transmission-interface (0.19.3-1focal) focal; urgency=high

  * Fix jnt-to-act command propagation check in transmission_interface_loader_test (#473 <https://github.com/ros-controls/ros_control/issues/473>)
    * Fix jnt-to-act command propagation check
    * Fix jnt-to-act command propagation check of bidirectional transmissions
  * Remove ParseStatus enum (#470 <https://github.com/ros-controls/ros_control/issues/470>)
  * Remove irrelevant test case (resolve #460 <https://github.com/ros-controls/ros_control/issues/460>) (#472 <https://github.com/ros-controls/ros_control/issues/472>)
  * Contributors: Mateus Amarante, Jordan Lack

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 10 Oct 2020 23:00:00 -0000

ros-noetic-transmission-interface (0.19.2-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 16 Aug 2020 23:00:00 -0000

ros-noetic-transmission-interface (0.19.1-1focal) focal; urgency=high

  * Function specifiers noetic (#453 <https://github.com/ros-controls/ros_control/issues/453>)
    * Add override specifiers & default constructors
    * Delete ControllerBase copy & move ctors
    * Remove unnecessary default constructors
    * Modernize additional constructors
    * Revert ImuSensorHandle::Data::Data() = default
    * Remove unnecessary default overridden constructors
    * Remove semicolon after function body
    Co-authored-by: Matt Reynolds <mtreynolds@uwaterloo.ca>
  * Use setuptools instead of distutils (#429 <https://github.com/ros-controls/ros_control/issues/429>)
  * Contributors: Bence Magyar, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 May 2020 23:00:00 -0000

ros-noetic-transmission-interface (0.19.0-1focal) focal; urgency=high

  * Replace enums with enum classes (#412 <https://github.com/ros-controls/ros_control/issues/412>)
  * Contributors: Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 22 Apr 2020 23:00:00 -0000

ros-noetic-transmission-interface (0.18.0-1focal) focal; urgency=high

  * Add xmlns for URDF, remove xmlns:xacro (#436 <https://github.com/ros-controls/ros_control/issues/436>)
  * Fixed compile tests (#434 <https://github.com/ros-controls/ros_control/issues/434>)
  * Replace internal::is_permutation with std (#419 <https://github.com/ros-controls/ros_control/issues/419>)
  * Bump CMake version to avoid CMP0048 (#427 <https://github.com/ros-controls/ros_control/issues/427>)
  * Contributors: Alejandro Hernández Cordero, Matt Reynolds, Shane Loretz

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Apr 2020 23:00:00 -0000

ros-noetic-transmission-interface (0.17.0-1focal) focal; urgency=high

  * Use default member initializers
  * Use braces for member initializers
  * Replace boost with std
  * Replace boost ptrs with std ptrs in documentation
  * Replace boost::lexical_cast<double> with std::stod
  * Prefer default member initializers
  * Use auto
  * Contributors: AbhinavSingh, Bence Magyar, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 24 Feb 2020 00:00:00 -0000

ros-noetic-transmission-interface (0.16.0-1focal) focal; urgency=high

  * Use more meaningful pair iterator names
  * Use range-based for loops in transmission_interface
  * Resolve Boost dependency issues
  * Update dependencies
    - Dependencies needed to compile are <build_depend>
    - Dependencies used in public headers are <build_export_depend>
    - Dependencies needed to link or run are <exec_depend>
  * Merge branch 'melodic-devel' into catkin-lint
  * Update package dependencies
  * Remove rosunit test_depend from package.xml
  * Prefer nullptr for null pointers
  * Merge pull request #406 <https://github.com/ros-controls/ros_control/issues/406> from matthew-reynolds/pragma-once
    Use #pragma once
  * Add missing header guard to loader_utils.h
  * Replace header guard with #pragma once
  * Merge pull request #395 <https://github.com/ros-controls/ros_control/issues/395> from pal-robotics-forks/extend-interfaces-melodic
    Extend interfaces
  * Add torque sensor and absolute encoder support to transmissions and adjust tests
    Add pointer accessors for torque sensor and absoute position encoders
  * Modified structures to have absolute encoder and torque sensor parameters
  * Fix transmission_interface dependencies
  * Apply consistent style to CMakeLists.txt files
  * Apply consistent style to package.xml files
  * Merge pull request #399 <https://github.com/ros-controls/ros_control/issues/399> from mvieth/melodic-devel
    Fix compiler warnings
  * Fix compiler warnings
    - Comment out unused parameters
    - Make some integer literals unsigned to avoid comparison between signed and unsigned
    - Remove unnecessary semicolons
    - Make const void return type to void
  * Fix build error in clang
    error: non-aggregate type 'std::vector' (aka 'vector >') cannot be initialized with an initializer list
  * Merge pull request #379 <https://github.com/ros-controls/ros_control/issues/379> from bmagyar/transmission-parser-touchup
    TransmissionParser touchup
  * Fix typo in docs
  * TransmissionParser private -> protected
  * fix install destination (#377 <https://github.com/ros-controls/ros_control/issues/377>)
  * Contributors: Bence Magyar, Gennaro Raiola, Hilario Tome, James Xu, Markus Vieth, Matt Reynolds, Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Jan 2020 00:00:00 -0000


