=== debian/control ===
Source: ros-noetic-transmission-interface
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libtinyxml-dev, ros-noetic-catkin, ros-noetic-cmake-modules, ros-noetic-hardware-interface, ros-noetic-pluginlib, ros-noetic-resource-retriever, ros-noetic-roscpp
Homepage: https://github.com/ros-controls/ros_control/wiki
Standards-Version: 3.9.2

Package: ros-noetic-transmission-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtinyxml-dev, ros-noetic-hardware-interface, ros-noetic-pluginlib, ros-noetic-roscpp
Description: Transmission Interface.
